Bug 1200363 - (CVE-2022-30552) VUL-0: CVE-2022-30552: u-boot-rpi3,u-boot: Large buffer overflow leads to DoS in IP Packet Defragmentation Code
(CVE-2022-30552)
VUL-0: CVE-2022-30552: u-boot-rpi3,u-boot: Large buffer overflow leads to DoS...
Status: NEW
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Major
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/334050/
CVSSv3.1:SUSE:CVE-2022-30552:7.1:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-06-09 06:06 UTC by Alexander Bergmann
Modified: 2022-07-29 13:21 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Matthias Brugger 2022-06-09 15:12:51 UTC
Basically the same as for bug 1200364:

Fix is upstreamed by:
b85d130ea0 ("net: Check for the minimum IP fragmented datagram size")

We only ship U-Boot for RPi3/4 which has CONFIG_IP_DEFRAG disabled in our builds. So we shouldn't be affected by the bug. As the fix isn't instrusive we can include it although it's not needed from SLES point of view.
Comment 3 Swamp Workflow Management 2022-06-13 13:16:52 UTC
SUSE-SU-2022:2053-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1199623,1200363,1200364
CVE References: CVE-2022-30552,CVE-2022-30767,CVE-2022-30790
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    u-boot-2021.01-150300.7.12.1, u-boot-avnetultra96rev1-2021.01-150300.7.12.1, u-boot-bananapim64-2021.01-150300.7.12.1, u-boot-dragonboard410c-2021.01-150300.7.12.1, u-boot-dragonboard820c-2021.01-150300.7.12.1, u-boot-evb-rk3399-2021.01-150300.7.12.1, u-boot-firefly-rk3399-2021.01-150300.7.12.1, u-boot-geekbox-2021.01-150300.7.12.1, u-boot-hikey-2021.01-150300.7.12.1, u-boot-khadas-vim-2021.01-150300.7.12.1, u-boot-khadas-vim2-2021.01-150300.7.12.1, u-boot-libretech-ac-2021.01-150300.7.12.1, u-boot-libretech-cc-2021.01-150300.7.12.1, u-boot-ls1012afrdmqspi-2021.01-150300.7.12.1, u-boot-mvebudb-88f3720-2021.01-150300.7.12.1, u-boot-mvebudbarmada8k-2021.01-150300.7.12.1, u-boot-mvebuespressobin-88f3720-2021.01-150300.7.12.1, u-boot-mvebumcbin-88f8040-2021.01-150300.7.12.1, u-boot-nanopia64-2021.01-150300.7.12.1, u-boot-odroid-c2-2021.01-150300.7.12.1, u-boot-odroid-c4-2021.01-150300.7.12.1, u-boot-odroid-n2-2021.01-150300.7.12.1, u-boot-orangepipc2-2021.01-150300.7.12.1, u-boot-p2371-2180-2021.01-150300.7.12.1, u-boot-p2771-0000-500-2021.01-150300.7.12.1, u-boot-p3450-0000-2021.01-150300.7.12.1, u-boot-pine64plus-2021.01-150300.7.12.1, u-boot-pinebook-2021.01-150300.7.12.1, u-boot-pinebook-pro-rk3399-2021.01-150300.7.12.1, u-boot-pineh64-2021.01-150300.7.12.1, u-boot-pinephone-2021.01-150300.7.12.1, u-boot-poplar-2021.01-150300.7.12.1, u-boot-rock-pi-4-rk3399-2021.01-150300.7.12.1, u-boot-rock64-rk3328-2021.01-150300.7.12.1, u-boot-rock960-rk3399-2021.01-150300.7.12.1, u-boot-rockpro64-rk3399-2021.01-150300.7.12.1, u-boot-rpi3-2021.01-150300.7.12.1, u-boot-rpi4-2021.01-150300.7.12.1, u-boot-rpiarm64-2021.01-150300.7.12.1, u-boot-xilinxzynqmpvirt-2021.01-150300.7.12.1, u-boot-xilinxzynqmpzcu102rev10-2021.01-150300.7.12.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    u-boot-2021.01-150300.7.12.1, u-boot-rpiarm64-2021.01-150300.7.12.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 4 Swamp Workflow Management 2022-06-13 13:17:32 UTC
SUSE-SU-2022:2052-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1199623,1200363,1200364
CVE References: CVE-2022-30552,CVE-2022-30767,CVE-2022-30790
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 12-SP5 (src):    u-boot-2019.01-5.8.1, u-boot-rpi3-2019.01-5.8.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2022-06-13 13:18:46 UTC
SUSE-SU-2022:2055-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1200363,1200364
CVE References: CVE-2022-30552,CVE-2022-30790
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    u-boot-2018.03-4.6.1, u-boot-rpi3-2018.03-4.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2022-06-13 13:19:31 UTC
SUSE-SU-2022:2054-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1199623,1200363,1200364
CVE References: CVE-2022-30552,CVE-2022-30767,CVE-2022-30790
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    u-boot-2021.10-150400.4.5.1, u-boot-avnetultra96rev1-2021.10-150400.4.5.1, u-boot-bananapim64-2021.10-150400.4.5.1, u-boot-dragonboard410c-2021.10-150400.4.5.1, u-boot-dragonboard820c-2021.10-150400.4.5.1, u-boot-evb-rk3399-2021.10-150400.4.5.1, u-boot-firefly-rk3399-2021.10-150400.4.5.1, u-boot-geekbox-2021.10-150400.4.5.1, u-boot-hikey-2021.10-150400.4.5.1, u-boot-khadas-vim-2021.10-150400.4.5.1, u-boot-khadas-vim2-2021.10-150400.4.5.1, u-boot-libretech-ac-2021.10-150400.4.5.1, u-boot-libretech-cc-2021.10-150400.4.5.1, u-boot-ls1012afrdmqspi-2021.10-150400.4.5.1, u-boot-mvebudb-88f3720-2021.10-150400.4.5.1, u-boot-mvebudbarmada8k-2021.10-150400.4.5.1, u-boot-mvebuespressobin-88f3720-2021.10-150400.4.5.1, u-boot-mvebumcbin-88f8040-2021.10-150400.4.5.1, u-boot-nanopia64-2021.10-150400.4.5.1, u-boot-odroid-c2-2021.10-150400.4.5.1, u-boot-odroid-c4-2021.10-150400.4.5.1, u-boot-odroid-n2-2021.10-150400.4.5.1, u-boot-orangepipc2-2021.10-150400.4.5.1, u-boot-p2371-2180-2021.10-150400.4.5.1, u-boot-p2771-0000-500-2021.10-150400.4.5.1, u-boot-p3450-0000-2021.10-150400.4.5.1, u-boot-pine64plus-2021.10-150400.4.5.1, u-boot-pinebook-2021.10-150400.4.5.1, u-boot-pinebook-pro-rk3399-2021.10-150400.4.5.1, u-boot-pineh64-2021.10-150400.4.5.1, u-boot-pinephone-2021.10-150400.4.5.1, u-boot-poplar-2021.10-150400.4.5.1, u-boot-rock-pi-4-rk3399-2021.10-150400.4.5.1, u-boot-rock-pi-n10-rk3399pro-2021.10-150400.4.5.1, u-boot-rock64-rk3328-2021.10-150400.4.5.1, u-boot-rock960-rk3399-2021.10-150400.4.5.1, u-boot-rockpro64-rk3399-2021.10-150400.4.5.1, u-boot-rpi3-2021.10-150400.4.5.1, u-boot-rpi4-2021.10-150400.4.5.1, u-boot-rpiarm64-2021.10-150400.4.5.1, u-boot-xilinxzynqmpvirt-2021.10-150400.4.5.1, u-boot-xilinxzynqmpzcu102rev10-2021.10-150400.4.5.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    u-boot-2021.10-150400.4.5.1, u-boot-rpiarm64-2021.10-150400.4.5.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2022-06-13 13:20:16 UTC
SUSE-SU-2022:2057-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1200363,1200364
CVE References: CVE-2022-30552,CVE-2022-30790
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    u-boot-2019.01-150100.7.13.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    u-boot-2019.01-150100.7.13.1, u-boot-rpi3-2019.01-150100.7.13.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    u-boot-2019.01-150100.7.13.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    u-boot-2019.01-150100.7.13.1, u-boot-rpi3-2019.01-150100.7.13.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    u-boot-2019.01-150100.7.13.1, u-boot-rpi3-2019.01-150100.7.13.1
SUSE Enterprise Storage 6 (src):    u-boot-2019.01-150100.7.13.1, u-boot-rpi3-2019.01-150100.7.13.1
SUSE CaaS Platform 4.0 (src):    u-boot-2019.01-150100.7.13.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2022-06-13 13:21:12 UTC
SUSE-SU-2022:2056-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1200363,1200364
CVE References: CVE-2022-30552,CVE-2022-30790
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    u-boot-xilinxzynqmpgeneric-2020.01-150200.10.12.1
openSUSE Leap 15.3 (src):    u-boot-xilinxzynqmpgeneric-2020.01-150200.10.12.1
SUSE Manager Server 4.1 (src):    u-boot-2020.01-150200.10.12.1
SUSE Manager Retail Branch Server 4.1 (src):    u-boot-2020.01-150200.10.12.1
SUSE Manager Proxy 4.1 (src):    u-boot-2020.01-150200.10.12.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    u-boot-2020.01-150200.10.12.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    u-boot-2020.01-150200.10.12.1, u-boot-rpiarm64-2020.01-150200.10.12.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    u-boot-2020.01-150200.10.12.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    u-boot-2020.01-150200.10.12.1, u-boot-rpiarm64-2020.01-150200.10.12.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    u-boot-2020.01-150200.10.12.1, u-boot-rpiarm64-2020.01-150200.10.12.1
SUSE Enterprise Storage 7 (src):    u-boot-2020.01-150200.10.12.1, u-boot-rpiarm64-2020.01-150200.10.12.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Matthias Brugger 2022-06-13 13:44:25 UTC
fixes accepted
Comment 10 Swamp Workflow Management 2022-06-13 16:16:26 UTC
SUSE-SU-2022:2058-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1200363,1200364
CVE References: CVE-2022-30552,CVE-2022-30790
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    u-boot-2016.07-12.6.1, u-boot-rpi3-2016.07-12.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Swamp Workflow Management 2022-07-29 13:21:36 UTC
SUSE-SU-2022:2584-1: An update that fixes three vulnerabilities is now available.

Category: security (critical)
Bug References: 1200363,1200364,1201214
CVE References: CVE-2022-30552,CVE-2022-30790,CVE-2022-34835
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    u-boot-2018.03-150000.4.11.1
SUSE Linux Enterprise Server 15-LTSS (src):    u-boot-2018.03-150000.4.11.1, u-boot-rpi3-2018.03-150000.4.11.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    u-boot-2018.03-150000.4.11.1, u-boot-rpi3-2018.03-150000.4.11.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    u-boot-2018.03-150000.4.11.1, u-boot-rpi3-2018.03-150000.4.11.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.